ISXEVE - Bug #2007

EVE:PlaceBuyOrder In Citadels
2017-09-28 04:19 PM - john41

Status: Resolved
Priority: Normal
Assignee:
Target version:

vbulletin_issue_id:

Description

Steps to reproduce:

1. Get your self to a player owned citadel
2. In the terminal, run "EVE:PlaceBuyOrder[${Me.StationID}, 34, 0.01, 1, 1, 1, 90]" at the console

Expectation:
A buy order for quantity 1 of Tritanium at 0.01 isk should be created with a buy range of 1 system and a length of 90 days
Result:
No buy order is created.
Additional Notes:
e The above command appears to be functioning correctly in NPC stations

¢ | have verified that Me.StationID is returning the correct station ID when in a citadel. Citadel ID's can be found here:
https:/market.fuzzwork.co.uk/api/stationids

History

#1 - 2018-03-31 01:58 PM - Amadeus

You confirmed that you're allowed to create buy orders in that station, correct?

If so, then | need to know the name of a citadel where | would be allowed to create a buy order so that | can test this. I'm in Kaimon system. |tried a
couple of citadels here in the system, but neither allow me to create buy orders with the Ul, let alone with ISXEVE.

Otherwise, | did make one change which MIGHT fix it. So, also test it one more time and let me know if it's fixed or not.

#2 - 2018-04-21 09:57 PM - Amadeus

- Status changed from New to Resolved

April 21, 2018
[20180417.0003]
* Removed the "PlaceBuyOrder" METHOD of the 'eve' datatype

* Added new datatype: "EVEUILabel"

* Added new MEMBER to the 'EVEUILabel' datatype:
1. Text (string)

* Added new datatype: "EVEUISingleLineEdit"

* Added new MEMBER to the 'EVEUISingleLineEdit' datatype:
1. Value (string)

* Added new METHOD to the 'EVEUISingleLineEdit' datatype:
2. SetValue["value"]

* Added new datatype: "EVEUICombo"

* Added new MEMBERS to the 'EVEUICombo' datatype:

1. Index (string)
2. Key (string)
3. Value (string)

* Added new METHODS to the 'EVEUICombo' datatype:
1. SelectByIndex|[#]
2. SelectByValue[#]
3. SelectByLabel["label"]
* Added new datatype: "EVEMarketActionWindow"
* Added new MEMBERS to the 'EVEMarketActionWindow' datatype:

1. BidPrice (EVEUISingleLineEdit)
2. BidPricePercentageComparison (EVEUILabel)

3. RegionalAverage (double)

4. BestRegional (EVEUILabel)

5. BestMatchable (EVEUILabel)

6. Quantity (EVEUISingleLineEdit)
7. QuantityMin (EVEUISingleLineEdit)
8. Duration (EVEUICombo)

9. Range (EVEUICombo)

10. Fee (EVEUISingleLineEdit)
11. Total (EVEUILabel)

12. IsReady (bool)

* Added new METHODS to the 'EVEMarketActionWindow"
1. Buy
2. Cancel
* Added new METHOD to the 'eve' datatype:
1. CreateMarketBuyOrder [ItemTypeID#]
* Added new Knowledgebase Article, "Creating a Buy Order and Accessing/Modifying EVEMarketActionWindow Data"
at
http://forge.isxgames.com/projects/isxeve/knowledgebase/articles/63
